Package org.springframework.security.config

# Interface ObjectPostProcessor<T>

Type Parameters:
  `T` - the bound of the types of Objects this `ObjectPostProcessor` supports.

All Known Subinterfaces:
  `ObjectPostProcessor<T>`

public interface ObjectPostProcessor<T>
Allows initialization of Objects. Typically this is used to call the `Aware` methods, `InitializingBean.afterPropertiesSet()`, and ensure that `DisposableBean.destroy()` has been invoked.

Since:
  3.2

## Method Summary

Modifier and Type
Method
Description
`static <S> ObjectPostProcessor<S>`
`identity()`
`<O extends T>
O`
`postProcess(O object)`
Initialize the object possibly returning a modified instance that should be used instead.

## Method Details

### identity

static <S> ObjectPostProcessor<S> identity()

### postProcess

<O extends T> O postProcess(O object)
Initialize the object possibly returning a modified instance that should be used instead.

Parameters:
  `object` - the object to initialize
Returns:
  the initialized version of the object